### Constructor

# GUPnP XMLDoc new

#### Declaration [src]

    GUPnPXMLDoc*
    gupnp_xml_doc_new (
      xmlDoc* xml_doc
    )

#### Description [src]

Create a new `GUPnPXMLDoc` for `xml_doc`.

Available since: | 0.14.0

#### Parameters

`xml_doc` | `xmlDoc`
| Pointer to #xmlDoc to wrap under this object.
| The called function takes ownership of the data, and is responsible for freeing it.

#### Return value

Returns: | `GUPnPXMLDoc`
| A new `GUPnPXMLDoc`, or `NULL` on an error.
| The caller of the function takes ownership of the data, and is responsible for freeing it.